Bug 442129 - firefox does not always render at the proper resolution if the resolution is changed
firefox does not always render at the proper resolution if the resolution is ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xulrunner (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 18:19 EDT by Ben Levenson
Modified: 2008-05-21 10:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2008-0479
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compare the resolution of firefox and gnome-terminal (1.25 MB, image/png)
2008-04-11 18:23 EDT, Ben Levenson
no flags Details

  None (edit)
Description Ben Levenson 2008-04-11 18:19:25 EDT
firefox does not render properly on external display

Description of problem:
firefox does not render properly on external display

I haven't found a reliable reproducer, but every now and then when my laptop is
connected to an external display, firefox will start in the incorrect
resolution. See the attached screenshots to see what I mean.

Version-Release number of selected component (if applicable):
firefox-3.0-0.beta5.1.el5
xorg-x11-drv-i810-1.6.5-9.11.el5
xorg-x11-server-Xorg-1.1.1-48.41.el5

How reproducible:
25% of the time

Steps to Reproduce:
1. boot laptop into runlevel 5 (native resolution is 1280x800)
2. connect an external display and close the lid on the laptop
3. login , gnome session begins w/ resolution=1280x1024
4. bump the resolution to 1600x1200 w/ xrandr
5. start firefox
 
Actual results:
See the attached screenshot
Comment 1 Ben Levenson 2008-04-11 18:23:26 EDT
Created attachment 302176 [details]
compare the resolution of firefox and gnome-terminal
Comment 2 Christopher Aillon 2008-04-12 14:32:10 EDT
https://bugzilla.mozilla.org/show_bug.cgi?id=394103#attach_308395

fixes this.  very simple patch that made it just after beta.  We already have to
take some patches for snap 6, can we get this in as well, too?
Comment 3 Ben Levenson 2008-04-12 16:14:43 EDT
+ qa_ack
Comment 4 Ben Levenson 2008-04-15 11:19:46 EDT
the patch referenced in comment #2 does not appear to help. are any additional
tweaks necessary to get it to work as expected?
Comment 7 Christopher Aillon 2008-04-16 16:25:02 EDT
(In reply to comment #4)
> the patch referenced in comment #2 does not appear to help. are any additional
> tweaks necessary to get it to work as expected?

Ben, you probably patched firefox.  The patch was needed in xulrunner.
Comment 8 Ben Levenson 2008-04-17 00:20:51 EDT
(In reply to comment #7)
> Ben, you probably patched firefox.  The patch was needed in xulrunner.

Yup, that's exactly what I did.  I'll give the new xulrunner RPMS a spin.
Comment 9 Ben Levenson 2008-04-17 12:58:06 EDT
fix verified in xulrunner-1.9-0.beta5.4.el5 (+ firefox-3.0-0.beta5.3.el5)
Comment 11 errata-xmlrpc 2008-05-21 10:25:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0479.html

Note You need to log in before you can comment on or make changes to this bug.